Bug 44132 - =ISEVEN() formula does not work when saving in .xls and .xlsx formats
Summary: =ISEVEN() formula does not work when saving in .xls and .xlsx formats
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2011-12-24 20:27 UTC by Gorka Navarrete
Modified: 2018-09-28 22:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ods format - All works fine (11.99 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-12-24 20:27 UTC, Gorka Navarrete
Details
file saved in LO as .xls - #MACRO? error (9.50 KB, application/vnd.ms-excel)
2011-12-24 20:28 UTC, Gorka Navarrete
Details
saved in MS2010 as .xls - #ADDIN? error (7.50 KB, application/vnd.ms-excel)
2011-12-24 20:29 UTC, Gorka Navarrete
Details
saved in MS2010 as .xlsx - OK (5.52 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2011-12-24 20:29 UTC, Gorka Navarrete
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gorka Navarrete 2011-12-24 20:27:25 UTC
Created attachment 54800 [details]
ods format - All works fine

If you open a new LibreOffice Calc file, fill E2 cell with a number and Use =ISEVEN(E2) formula, it gives the adequate response (TRUE if even number, FALSE otherwise).

(1)If you save the file in .ods format, everything works as expected.

(2) The problem starts if you save and close the document and reopen again. In this case, it gives a #MACRO? error.
	If you Edit cell (E2) and press INTRO, same error.
	If you Edit cell (E2), move cursor (Left or right arrow) and press INTRO, OK.

If you open the document in Spanish version of MS Excel 2007 or 2010, works fine. Converts formula to =ES.PAR(E2).
	(3)If you save the document in the Spanish version of MS Excel 2010 in .xls format and open it again in LibreOffice, it gives #ADDIN? error. Formula has changed to =ES.PAR(E2).
	(4)If you save the document in the Spanish version of MS Excel 2010 in .xlsx format and open it again in LibreOffice, it works OK. Formula has changed to =ISEVEN_ADD(E2).


Attaching 4 files:
(1)LibreofficeTest.ods - All works fine
(2)LibreofficeTestLinux.xls - saved in LO as .xls - #MACRO? error
(3)LibreofficeTest.xls - saved in MS2010 as .xls - #ADDIN? error
(4)LibreofficeTest.xlsx - saved in MS2010 as .xlsx - OK
Comment 1 Gorka Navarrete 2011-12-24 20:28:44 UTC
Created attachment 54801 [details]
file saved in LO as .xls - #MACRO? error
Comment 2 Gorka Navarrete 2011-12-24 20:29:32 UTC
Created attachment 54802 [details]
saved in MS2010 as .xls - #ADDIN? error
Comment 3 Gorka Navarrete 2011-12-24 20:29:53 UTC
Created attachment 54803 [details]
saved in MS2010 as .xlsx - OK
Comment 4 Regina Henschel 2011-12-29 13:05:47 UTC
For me the way LOdev3.5 beta2 => Excel 2010 works for file type xls and xlsx as well if you use ISEVEN
The way from Excel 2010 to LOdev3.5 beta uses for both file types ISEVEN_ADD in import. That is not good for a roundtrip with xlsx, because ISEVEN_ADD is not converted to ISEVEN on export. For xls roundtrip is works, but the exported function, which belongs to ISEVEN_ADD gives a converting warning in Excel.

Excel 2010 can handle ISEVEN for file type xls and for file type xlsx. Perhaps it is time to drop ISEVEN_ADD at least for file type xlsx?

I use LOdev3.5 beta2 on WinXP and German Excel 2010.

Gorka Navarrete: It is not clear to me, whether you use new documents when you save in MS2010 or save in LO, or whether you try a roundtrip. Please specify exactly the way creation => save => load => resave => reload
Comment 5 Gorka Navarrete 2011-12-30 01:30:30 UTC
Regina, I did a roundtrip. I created the documents in LO. In the process I describe in the bug report there is no more file creation that the original in LO. The rest comes from "Save as".
Comment 6 sasha.libreoffice 2012-05-03 02:31:03 UTC
reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit and 3.5.2 on Windows XP 32 bit
ods from first attachment saved in xls using LO and then loaded by it again. As result, cells in first column contain error "Macro?"

changing version to 3.3.4 as most early reproducible
Comment 7 Thomas Arnhold 2014-06-28 02:07:25 UTC
I can confirm Regina's description: ISEVEN() is replaced by ISEVEN_ADD().

But there are no more macro errors with Libo 4.2.5.
Comment 8 QA Administrators 2015-07-18 17:42:36 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2016-09-20 10:17:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920